      function checkreslut(newValue) 
     { 
     if (CapsLockValue==0) 
     { 
     Calc.password.value += newValue; 
     } 
     else 
     { 
     Calc.password.value += newValue.toUpperCase(); 
     } 
     } 
  
   function checkreslut(num,numid)
	 {
 	 if(numid==""){alert("请选择题目");}
	   else{
		 var tid="t"+numid;
		 var tupian="tu_"+numid;
		  jieguo=new   Array("0","airline terminal","airport tax","alien registration card") 
		  if(Calc.password.value==jieguo[numid]){Calc.daan.value="答案正确！";
  		  document.getElementById(tid).value=Calc.password.value;
		  document.getElementById(tupian).src="../../../images/zcimg4.gif";
  	 	  document.getElementById(tupian).style.display="block";
		 }
		 else{Calc.daan.value="错误，正确答案是："+jieguo[numid];
		  document.getElementById(tid).value=Calc.password.value;
		  document.getElementById(tupian).src="../../../images/zcimg3.gif";
  	 	  document.getElementById(tupian).style.display="block";
 		 }
 } }
 function checkreslut_list(num,id)
	 {
	 
 	   var numid=Calc.soundid.value;

	   if(numid==""){alert("您至少播放一个试题")}else{
		 if(numid!=id){alert("您播放的和选择的是不同的题目")}else{
		 var tid="t"+numid;//题目内容
		 var listid="list_"+id;//菜单id
		 var tupian="tu_list_"+numid;//图片id
		  jieguo=new   Array("0","航空候机大楼","外国人登记卡","机场税","动物检疫") 
			  
		  if(num==jieguo[id]){Calc.daan.value="答案正确！";
  		  //document.getElementById(tid).value=Calc.password.value;
		  document.getElementById(tupian).src="../../../images/zcimg4.gif";
  	 	  document.getElementById(tupian).style.display="block";
		 }
		 else{Calc.daan.value="错误，正确答案是："+jieguo[numid];
		  //document.getElementById(tid).value=Calc.password.value;
		  document.getElementById(tupian).src="../../../images/zcimg3.gif";
  	 	  document.getElementById(tupian).style.display="block";}
		  }
 		 
 } }
function IsChar(s)
{ 
 var Number = "0123456789.abcdefghijklmnopqrstuvwxyz-\/ABCDEFGHIJKLMNOPQRSTUVWXYZ`~!@#$%^&*()_";
 for (i = 0; i < s.length;i++)
    {   
         var c = s.charAt(i);
        if (Number.indexOf(c) == -1) return false;
    }
 return true
}

function CheckChar(theField)
{
 if (!IsChar(theField.value))
  alert("请不要输入中文,请检查是否开启了中文输入法！");
}
 
function  isChinese(name)  //中文值检测
{  
if(name.length  ==  0)
return  false;
for(i  =  0;  i  <  name.length;  i++)  {  
if(name.charCodeAt(i)  >  128)
return  true;
}
return  false;
}
function CheckChar_ch(theField)
{
if(!isChinese(theField))  {  
alert("中文名不合法！");
 
return  false;
}
}

